petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatIncreaseOverlap

Given a set of submatrices indicated by index sets, replaces the index sets by larger ones that represent submatrices with additional overlap.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIncreaseOverlap(Mat mat,PetscInt n,IS is[],PetscInt ov)

Collective on Mat

### Input Parameters

| mat | - the matrix
| n | - the number of index sets
| is | - the array of index sets (these index sets will changed during the call)
| ov | - the additional overlap requested

### Options Database

-mat_increase_overlap_scalable -use a scalable algorithm to compute the overlap (supported by MPIAIJ matrix)

### See Also

MatGetSubMatrices()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages